cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

WARNING: TWX 8.4.1 Breaking Marketplace Extensions

SOLVED
Level 9

WARNING: TWX 8.4.1 Breaking Marketplace Extensions

This is a warning for everyone.  If you use any of the extensions from the TWX marketplace, test extensively before doing a full migration to 8.4.1.  Because of the way widgets are now implemented in 8.4.1 there may be numerous visualization extensions from the marketplace that are impacted and broken in some way.  I can confirm 8.4.1 breaks the Drag and Drop file upload extension and the FileRepository Home Mashup extension.  Being that these extensions are issued by "Thingworx Labs" PTC has no obligation to fix or provide support. 

1 ACCEPTED SOLUTION

Accepted Solutions

Re: WARNING: TWX 8.4.1 Breaking Marketplace Extensions

Hi All.

 

Due to the redesign in ThingWorx 8.4, we realize that many of the extensions available on the PTC Marketplace may no longer work as in previous versions.  We are in the process of performing a review to determine compatibility.  As we go through this process, we will update the Description page with the compatible ThingWorx versions.  Your patience during this process is greatly appreciated.

 

As with any upgrade, we recommend that a full regression test be performed to validate compatibility in your environments before upgrading your production instances.

 

Regards.

 

--Sharon

3 REPLIES 3

Re: WARNING: TWX 8.4.1 Breaking Marketplace Extensions

Can you please be more concrete? Can you give a specific example?

Re: WARNING: TWX 8.4.1 Breaking Marketplace Extensions

The DnD widget calls a function that is no longer supported by widgets so it throws an error that is visible in the javascript console.  Easy to fix, but it requires you edit the js, update the metadata.xml file to indicate a new version, zip and redeploy.  

 

The upload file functionality no longer works for the File Repository Home Mashup--also another JS error.  

 

In our solution, both of these had been validated on TWX 8.4.0 within their respective use-cases and were nearly ready to go to production. TWX should not be changing so much that it's causing previously working widgets/extensions to berak. 

Re: WARNING: TWX 8.4.1 Breaking Marketplace Extensions

Hi All.

 

Due to the redesign in ThingWorx 8.4, we realize that many of the extensions available on the PTC Marketplace may no longer work as in previous versions.  We are in the process of performing a review to determine compatibility.  As we go through this process, we will update the Description page with the compatible ThingWorx versions.  Your patience during this process is greatly appreciated.

 

As with any upgrade, we recommend that a full regression test be performed to validate compatibility in your environments before upgrading your production instances.

 

Regards.

 

--Sharon